两个SDK里面有包冲突,版本不一致

2017-02-10 14:35
299

SDK包冲突

Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'

在做项目的时候用到Bomb-SDK,爆了上述错误,于是搜集相关问题,说是包冲突了OK

: java.util.zip.ZipException: duplicate entry: okhttp3/Address.class 具体是这个包,com.qiniu:qiniu-android-sdk:7.2.+ 七牛的SDK里面也是用的okhttp,所以引起了这个问题,去除依赖                                                                                                            compile('com.qiniu:qiniu-android-sdk:7.2.+') { excludegroup:'com.squareup.okhttp3'} compile('cn.bmob.android:bmob-sdk:3.5.3') {excludegroup:'com.squareup.okhttp3'}

帖子评论

关注 / 粉丝

我无话可说